package  
{
	import flash.display.Bitmap;
	import flash.display.Loader;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.net.URLRequest;
	/**
	 * ...
	 * @author Katsushi.Suzuki
	 */
	public class Icon extends Sprite 
	{
		public var id:String;
		public var url:String;
		public var userName:String;
		public var bmp:Bitmap;
		
		public function Icon() 
		{
		}
		
		public function clone():Icon
		{
			var icon:Icon = new Icon();
			icon.id = this.id;
			icon.url = this.url;
			icon.userName = this.userName;
			icon.bmp = new Bitmap(this.bmp.bitmapData.clone(), "auto", true);
			return icon;
		}
		
        public function load():void
        {
            var loader:Loader = new Loader();
            var request:URLRequest = new URLRequest(url);
            loader.contentLoaderInfo.addEventListener(Event.COMPLETE, icon_loadCompleteHandler);
            loader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR, icon_ioErrorHandler);
            loader.load(request);
		}
		
		private function icon_loadCompleteHandler(e:Event):void 
		{
			bmp = e.target.content as Bitmap;
			bmp.smoothing = true;
			dispatchEvent(new Event(Event.COMPLETE));
		}
		
		private function icon_ioErrorHandler(e:IOErrorEvent):void 
		{

		}
		
	}

}