package
{
	import com.orangesuzuki.util.tween.TW;
	import flash.display.MovieClip;
	import flash.display.Shape;
	import flash.events.Event;
	import flash.text.TextField;
	
	/**
	 * ...
	 * @author Katsushi.Suzuki
	 */
	public class LoadingCircle extends MovieClip
	{
		private var _txt:TextField;
		private var _body:MovieClip;
		private var _mask:Shape;
		private var _circle:MovieClip;
		
		
		public function LoadingCircle() 
		{
			//_txt = this.num_txt;
			//_body = this.body;
			_circle = this.circle;
			init();
		}
		
		public function init():void
		{
			visible = false;
			//_txt.text = 0 + "%";
		}
		
		public function appear():void
		{			
			visible = true;
			alpha = 1;
			//TW.alphaTo(_txt, 1, 0.4);
			
			addEventListener(Event.ENTER_FRAME, animation);
			
			this.gotoAndStop("animation");
		}
		
		private function animation(e:Event):void 
		{
			_circle.rotation += 9;
		}
		
		public function disappear():void
		{
			//this.gotoAndStop("end");
			//_txt.text = 100 + "%";
			TW.alphaTo(this, 0, 0.5, "linear", 0, end);
			
			function end():void {
				visible = false;
				removeEventListener(Event.ENTER_FRAME, animation);
				dispatchEvent(new Event("viewEnd"));
			}
		}
		
		public function set ratio(num:Number):void
		{			
			//_txt.text = String(Math.ceil(num * 100));
			//_txt.text = String(Math.ceil(num * 100)) + "%";
			//_bar.scaleX = num;
			//_mask.y = _body.height - _body.height * num;
		}
		
		public function onResize(w:Number, h:Number):void
		{
			x = (w / 2) >> 0;
			y = (h / 2) >> 0;
		}
		
	}	
}
