﻿package  
{
	import com.orangesuzuki.util.timer.TimerUtil;
	import flash.display.MovieClip;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Katsushi.Suzuki
	 */
	public class Main extends MovieClip 
	{
		private var _facebookLoader:FacebookLoader;
		private var _loading:LoadingCircle;
		
		public function Main() 
		{
			stage.align = "TL";
			stage.scaleMode = "noScale";
			
			_loading = this.loading;
			login_btn.visible = false;
			loadIcons();
		}
		
		/**
		 * アイコンをロードします。
		 */
		private function loadIcons():void
		{
			var appId:String = "アプリケーションIDを入れてください";
			
			//アイコン読み込みモジュール
			_facebookLoader = new FacebookLoader(login_btn);
			_facebookLoader.addEventListener("loadStart", loadStartHandler);
			_facebookLoader.addEventListener(Event.COMPLETE, loadCompleteHandler);
			_facebookLoader.init(appId);
		}
		
		/**
		 * アイコンのロードがスタートした時の処理
		 */
		private function loadStartHandler(e:Event):void 
		{
			//ローディングアニメを表示
			_loading.appear();
		}
		
		/**
		 * アイコンのロードが完了したときの処理
		 */
		private function loadCompleteHandler(e:Event):void 
		{
			//ローディングアニメを消す
			_loading.disappear();
			
			//ゲーム部分を表示します
			TimerUtil.call(end, this, null, 0.5)
			function end() {
				addChild(new GameView(_facebookLoader.iconArray));
			}
		}
	}
}