﻿package {
	
	import com.facebook.graph.Facebook;
	import flash.display.MovieClip;
	import flash.text.TextField;
	
	/**
	 * Facebookアプリとの接続をテストするクラスです。
	 */
	public class Test1 extends MovieClip
	{
		private var _debug_txt:TextField;
		
		public function Test1() 
		{
			_debug_txt = this.debug_txt;
			init();
		}
		
		/**
		 * 初期化します。
		 */
		private function init():void 
		{
			debug("Facebook APIの初期化 : ");
			Facebook.init("アプリケーションIDを入れてください", initHandler);
		}
		
		/**
		 * 初期化メソッドのコールバック関数
		 * @param	response
		 * @param	fail
		 */
		private function initHandler(response:Object, fail:Object):void
		{
			if (response) {
				debug("アプリの認証済みです。");
				debug("\nユーザーID : " + response.uid);
				debug("\nアクセストークン ： " + response.accessToken);
			}
			else {
				debug("未ログインまたは未認証です。");
			}
		}
		
		/**
		 * デバッグ用関数
		 * @param	message
		 */
		private function debug(message:*):void
		{
			_debug_txt.appendText(String(message)+"\n");
		}
	}
}
